Index: /branches/version-2_12-dev/data/class/SC_MobileImage.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_MobileImage.php	(revision 22791)
+++ /branches/version-2_12-dev/data/class/SC_MobileImage.php	(revision 22796)
@@ -30,6 +30,5 @@
  * 画像変換クラス
  */
-class SC_MobileImage
-{
+class SC_MobileImage {
     /**
      * 画像を端末の解像度に合わせて変換する
@@ -39,6 +38,5 @@
      * @return string 出力
      */
-    static function handler($buffer)
-    {
+    static function handler($buffer) {
 
         // 端末情報を取得する
@@ -100,9 +98,9 @@
                 // resize_image.phpは除外
                 if (stripos($path, ROOT_URLPATH . 'resize_image.php') !== FALSE) {
-                    continue;
+                    break;
                 }
 
                 $realpath = html_entity_decode($path, ENT_QUOTES);
-                $realpath = substr_replace($realpath, HTML_REALDIR, 0, strlen(ROOT_URLPATH));
+                $realpath = preg_replace('|^' . ROOT_URLPATH . '|', HTML_REALDIR, $realpath);
                 $converted = $imageConverter->execute($realpath);
                 if (isset($converted['outputImageName'])) {
Index: /branches/version-2_12-dev/data/class/SC_SessionFactory.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SessionFactory.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_SessionFactory.php	(revision 22796)
@@ -42,6 +42,5 @@
  * @version $Id$
  */
-class SC_SessionFactory 
-{
+class SC_SessionFactory {
 
     // }}}
@@ -53,6 +52,5 @@
      * @return SC_SessionFactory
      */
-    function getInstance()
-    {
+    function getInstance() {
 
         $type = defined('SESSION_KEEP_METHOD')
@@ -89,6 +87,5 @@
      *
      */
-    function initSession()
-    {}
+    function initSession() {}
 
     /**
@@ -97,6 +94,5 @@
      * @return boolean
      */
-    function useCookie()
-    {}
+    function useCookie() {}
 
 }
Index: /branches/version-2_12-dev/data/class/SC_Date.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Date.php	(revision 22576)
+++ /branches/version-2_12-dev/data/class/SC_Date.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 /* 日時表示用クラス */
-class SC_Date 
-{
+class SC_Date {
     var $start_year;
     var $month;
@@ -30,41 +29,31 @@
     var $end_year;
 
-    public static $arrHoliday = NULL;
-    public static $arrRegularHoliday = NULL;
-
     // コンストラクタ
-    function __construct($start_year='', $end_year='')
-    {
+    function __construct($start_year='', $end_year='') {
         if ($start_year)  $this->setStartYear($start_year);
         if ($end_year)    $this->setEndYear($end_year);
     }
 
-    function setStartYear($year)
-    {
+    function setStartYear($year) {
         $this->start_year = $year;
     }
 
-    function getStartYear()
-    {
+    function getStartYear() {
         return $this->start_year;
     }
 
-    function setEndYear($endYear)
-    {
+    function setEndYear($endYear) {
         $this->end_year = $endYear;
     }
 
-    function getEndYear()
-    {
+    function getEndYear() {
         return $this->end_year;
     }
 
-    function setMonth($month)
-    {
+    function setMonth($month) {
         $this->month = $month;
     }
 
-    function setDay($day)
-    {
+    function setDay($day) {
         $this->day = $day;
     }
@@ -80,6 +69,5 @@
      * @param string $default_key
      */
-    function getYear($year = '', $default_year = false, $default_key = '----')
-    {
+    function getYear($year = '', $default_year = false, $default_key = '----') {
         if ($year) $this->setStartYear($year);
 
@@ -105,6 +93,5 @@
     }
 
-    function getZeroYear($year = '')
-    {
+    function getZeroYear($year = '') {
         if ($year) $this->setStartYear($year);
 
@@ -124,6 +111,5 @@
     }
 
-    function getZeroMonth()
-    {
+    function getZeroMonth() {
 
         $month_array = array();
@@ -135,6 +121,5 @@
     }   
 
-    function getMonth($default = false)
-    {
+    function getMonth($default = false) {
         $month_array = array();
 
@@ -147,6 +132,5 @@
     }   
 
-    function getDay($default = false)
-    {
+    function getDay($default = false) {
         $day_array = array();
 
@@ -160,6 +144,5 @@
     }
 
-    function getHour()
-    {
+    function getHour() {
 
         $hour_array = array();
@@ -171,6 +154,5 @@
     }
 
-    function getMinutes()
-    {
+    function getMinutes() {
 
         $minutes_array = array();
@@ -182,63 +164,8 @@
     }
 
-    function getMinutesInterval()
-    {
+    function getMinutesInterval() {
 
         $minutes_array = array('00'=>'00', '30'=>'30');
         return $minutes_array;
     }
-
-    /**
-     * 休日の判定.
-     * 
-     * @param integer $year
-     * @param integer $month
-     * @param integer $day
-     * @return boolean 休日の場合はtrue
-     */
-    public function isHoliday($year, $month, $day)
-    {
-        is_null(SC_Date_Ex::$arrHoliday) and $this->setArrHoliday();
-        is_null(SC_Date_Ex::$arrRegularHoliday) and $this->setRegularHoliday();
-
-        if (!empty(SC_Date_Ex::$arrHoliday[$month])) {
-            if (in_array($day, SC_Date_Ex::$arrHoliday[$month])) {
-                return true;
-            }
-        }
-        if (!empty(SC_Date_Ex::$arrRegularHoliday)) {
-            $day = date('w', mktime(0,0,0 ,$month, $day, $year));
-            if (in_array($day, SC_Date_Ex::$arrRegularHoliday)) {
-                return true;
-            }
-        }
-        return false;
-    }
-
-    /**
-     * 休日情報をスタティック変数にセット.
-     * 
-     * @return void
-     */
-    private function setArrHoliday()
-    {
-        $objHoliday = new SC_Helper_Holiday_Ex();
-        $holiday = $objHoliday->getList();
-        $arrHoliday = array();
-        foreach ($holiday AS $val) {
-            $arrHoliday[$val['month']][] = $val['day'];
-        }
-        SC_Date_Ex::$arrHoliday = $arrHoliday;
-    }
-
-    /**
-     * 定休日情報をスタティック変数にセット.
-     * 
-     * @return void
-     */
-    private function setRegularHoliday()
-    {
-        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
-        SC_Date_Ex::$arrRegularHoliday = explode('|', $arrInfo['regular_holiday_ids']);
-    }
 }
Index: /branches/version-2_12-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 22796)
@@ -30,8 +30,6 @@
 define('PDF_TEMPLATE_REALDIR', TEMPLATE_ADMIN_REALDIR . 'pdf/');
 
-class SC_Fpdf extends SC_Helper_FPDI 
-{
-    function __construct($download, $title, $tpl_pdf = 'nouhinsyo1.pdf')
-    {
+class SC_Fpdf extends SC_Helper_FPDI {
+    function __construct($download, $title, $tpl_pdf = 'nouhinsyo1.pdf') {
         $this->FPDF();
         // デフォルトの設定
@@ -69,6 +67,5 @@
     }
 
-    function setData($arrData)
-    {
+    function setData($arrData) {
         $this->arrData = $arrData;
 
@@ -96,6 +93,5 @@
     }
 
-    function setShopData()
-    {
+    function setShopData() {
         // ショップ情報
 
@@ -134,6 +130,5 @@
     }
 
-    function setMessageData()
-    {
+    function setMessageData() {
         // メッセージ
         $this->lfText(27, 70, $this->arrData['msg1'], 8);  //メッセージ1
@@ -144,6 +139,5 @@
     }
 
-    function setOrderData()
-    {
+    function setOrderData() {
         $arrOrder = array();
         // DBから受注情報を読み込む
@@ -184,5 +178,5 @@
 
             // 税込金額（単価）
-            $data[1] = SC_Helper_DB_Ex::sfCalcIncTax($this->arrDisp['price'][$i], $this->arrDisp['tax_rate'][$i], $this->arrDisp['tax_rule'][$i]);
+            $data[1] = SC_Helper_DB_Ex::sfCalcIncTax($this->arrDisp['price'][$i]);
 
             // 小計（商品毎）
@@ -270,16 +264,14 @@
      * @return string 変更後の文字列
      */
-    function setEtcData()
-    {
+    function setEtcData() {
         $this->Cell(0, 10, '', 0, 1, 'C', 0, '');
         $this->SetFont('Gothic', 'B', 9);
         $this->MultiCell(0, 6, '＜ 備考 ＞', 'T', 2, 'L', 0, '');
         $this->SetFont('SJIS', '', 8);
-        $text = SC_Utils_Ex::rtrim($this->arrData['etc1'] . " \n" . $this->arrData['etc2'] . " \n" . $this->arrData['etc3']);
+        $text = SC_Utils_Ex::rtrim($this->arrData['etc1'] . "\n" . $this->arrData['etc2'] . "\n" . $this->arrData['etc3']);
         $this->MultiCell(0, 4, $text, '', 2, 'L', 0, '');
     }
 
-    function createPdf()
-    {
+    function createPdf() {
         // PDFをブラウザに送信
         ob_clean();
@@ -300,6 +292,5 @@
 
     // PDF_Japanese::Text へのパーサー
-    function lfText($x, $y, $text, $size = 0, $style = '')
-    {
+    function lfText($x, $y, $text, $size = 0, $style = '') {
         // 退避
         $bak_font_style = $this->FontStyle;
@@ -314,6 +305,5 @@
 
     // 受注データの取得
-    function lfGetOrderData($order_id)
-    {
+    function lfGetOrderData($order_id) {
         if (SC_Utils_Ex::sfIsInt($order_id)) {
             // DBから受注情報を読み込む
@@ -339,8 +329,7 @@
 
     // 受注詳細データの取得
-    function lfGetOrderDetail($order_id)
-    {
+    function lfGetOrderDetail($order_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate, tax_rate, tax_rule';
+        $col = 'product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate';
         $where = 'order_id = ?';
         $objQuery->setOrder('order_detail_id');
Index: /branches/version-2_12-dev/data/class/SC_Batch.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Batch.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Batch.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_Batch 
-{
+class SC_Batch {
 
     // }}}
@@ -41,5 +40,4 @@
      * @return mixed バッチの実行結果
      */
-    function execute($argv = '')
-    {}
+    function execute($argv = '') {}
 }
Index: /branches/version-2_12-dev/data/class/SC_Image.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Image.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Image.php	(revision 22796)
@@ -23,11 +23,9 @@
 
 //---- アップロードファイル加工クラス(thumb.phpとセットで使用する)
-class SC_Image 
-{
+class SC_Image {
 
     var $tmp_dir;
 
-    function __construct($tmp_dir)
-    {
+    function __construct($tmp_dir) {
         // ヘッダファイル読込
         $this->tmp_dir = rtrim($tmp_dir, '/') . '/';
@@ -35,6 +33,5 @@
 
     //--- 一時ファイル生成(サムネイル画像生成用)
-    function makeTempImage($keyname, $max_width, $max_height)
-    {
+    function makeTempImage($keyname, $max_width, $max_height) {
         // 一意なIDを取得する。
         $mainname = uniqid('').'.';
@@ -47,6 +44,5 @@
 
     //--- ファイルを指定保存DIRへ移動
-    function moveTempImage($filename, $save_dir)
-    {
+    function moveTempImage($filename, $save_dir) {
         // コピー元ファイル、コピー先ディレクトリが存在する場合にのみ実行する
         $from_path = $this->tmp_dir.$filename;
@@ -62,6 +58,5 @@
 
     //---- 指定ファイルを削除
-    function deleteImage($filename, $dir)
-    {
+    function deleteImage($filename, $dir) {
         if (file_exists($dir.'/'.$filename)) {
             unlink($dir.'/'.$filename);
@@ -79,6 +74,5 @@
      * @param array 新ファイル名を格納した配列
      */
-    function MakeThumb($FromImgPath , $ToImgPath , $tmpMW , $tmpMH, $newFileName = '')
-    {
+    function MakeThumb($FromImgPath , $ToImgPath , $tmpMW , $tmpMH, $newFileName = '') {
         // 画像の最大横幅（単位：ピクセル）
         $ThmMaxWidth = LARGE_IMAGE_WIDTH;
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php	(revision 22796)
@@ -31,6 +31,5 @@
  * @version $Id: $
  */
-abstract class SC_Plugin_Base 
-{
+abstract class SC_Plugin_Base {
 
     protected $arrSelfInfo;
@@ -42,6 +41,5 @@
      * @return void
      */
-    function __construct(array $arrSelfInfo)
-    {
+    function __construct(array $arrSelfInfo) {
         $this->arrSelfInfo = $arrSelfInfo;
     }
@@ -92,6 +90,5 @@
      * @param integer $priority
      */
-    function register(SC_Helper_Plugin $objHelperPlugin, $priority)
-    {
+    function register(SC_Helper_Plugin $objHelperPlugin, $priority) {
         if (isset($this->arrSelfInfo['plugin_hook_point'])) {
             $arrHookPoints = $this->arrSelfInfo['plugin_hook_point'];
@@ -111,6 +108,5 @@
      * @return array $arrSelfInfo 自身のプラグイン情報
      */
-    function getPluginInfo()
-    {
+    function getPluginInfo() {
         return $this->arrSelfInfo;
     }
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php	(revision 22796)
@@ -23,12 +23,10 @@
 
 // プラグインのユーティリティクラス.
-class SC_Plugin_Util 
-{
+class SC_Plugin_Util {
 
     /**
      * 稼働中のプラグインを取得する。
      */
-    function getEnablePlugin()
-    {
+    function getEnablePlugin() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
@@ -57,6 +55,5 @@
      * @return array $arrRet インストールされているプラグイン.
      */
-    function getAllPlugin()
-    {
+    function getAllPlugin() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
@@ -77,6 +74,5 @@
      * @return array プラグインの基本情報.
      */
-    function getPluginByPluginId($plugin_id)
-    {
+    function getPluginByPluginId($plugin_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
@@ -94,6 +90,5 @@
      * @return array プラグインの基本情報.
      */
-    function getPluginByPluginCode($plugin_code)
-    {
+    function getPluginByPluginCode($plugin_code) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
@@ -110,6 +105,5 @@
      * @return array プラグインの基本情報.
      */
-    function deletePluginByPluginId($plugin_id)
-    {
+    function deletePluginByPluginId($plugin_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'plugin_id = ?';
@@ -123,6 +117,5 @@
      * @return array $arrPluginDirectory
      */
-    function getPluginDirectory()
-    {
+    function getPluginDirectory() {
         $arrPluginDirectory = array();
         if (is_dir(PLUGIN_UPLOAD_REALDIR)) {
@@ -143,6 +136,5 @@
      * @return array フックポイントの一覧
      */
-    function getPluginHookPoint($plugin_id)
-    {
+    function getPluginHookPoint($plugin_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $cols = '*';
@@ -158,6 +150,5 @@
      * @return array $arrErr エラー情報を格納した連想配列.
      */
-    function checkExtension($key)
-    {
+    function checkExtension($key) {
         // プラグイン利用に必須のモジュール
         // 'EC-CUBEバージョン' => array('モジュール名')
Index: /branches/version-2_12-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id:LC_Page.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page 
-{
+class LC_Page {
 
     // {{{ properties
@@ -85,6 +84,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         // 開始時刻を設定する。
         $this->timeStart = microtime(true);
@@ -119,6 +117,5 @@
      * @return void
      */
-    function process()
-    {}
+    function process() {}
 
     /**
@@ -127,6 +124,5 @@
      * @return void
      */
-    function sendResponse()
-    {
+    function sendResponse() {
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
         // ローカルフックポイントを実行.
@@ -155,6 +151,5 @@
      * @return void
      */
-    function sendResponseCSV($file_name, $data)
-    {
+    function sendResponseCSV($file_name, $data) {
         $this->objDisplay->prepare($this);
         $this->objDisplay->addHeader('Content-disposition', "attachment; filename=${file_name}");
@@ -173,6 +168,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         // 一定時間以上かかったページの場合、ログ出力する。
         // エラー画面の表示では $this->timeStart が出力されない
@@ -193,6 +187,5 @@
      * @return void
      */
-    function doLocalHookpointBefore(SC_Helper_Plugin_Ex $objPlugin)
-    {
+    function doLocalHookpointBefore(SC_Helper_Plugin_Ex $objPlugin) {
         // ローカルフックポイントを実行
         $parent_class_name = get_parent_class($this);
@@ -212,6 +205,5 @@
      * @return void
      */
-    function doLocalHookpointAfter(SC_Helper_Plugin_Ex $objPlugin)
-    {
+    function doLocalHookpointAfter(SC_Helper_Plugin_Ex $objPlugin) {
         // ローカルフックポイントを実行
         $parent_class_name = get_parent_class($this);
@@ -229,6 +221,5 @@
      *
      */
-    function getTemplate()
-    {
+    function getTemplate() {
         return $this->template;
     }
@@ -238,6 +229,5 @@
      *
      */
-    function setTemplate($template)
-    {
+    function setTemplate($template) {
         $this->template = $template;
     }
@@ -263,6 +253,5 @@
      * @see Net_URL
      */
-    function getLocation($path, $param = array(), $useSSL = 'escape')
-    {
+    function getLocation($path, $param = array(), $useSSL = 'escape') {
         $rootPath = $this->getRootPath($path);
 
@@ -297,6 +286,5 @@
      * @return string EC-CUBE のWEBルート(/html/)を / としたパス
      */
-    function getRootPath($path)
-    {
+    function getRootPath($path) {
         // Windowsの場合は, ディレクトリの区切り文字を\から/に変換する
         $path = str_replace('\\', '/', $path);
@@ -336,6 +324,5 @@
      * @deprecated 決済モジュール互換のため
      */
-    function allowClientCache()
-    {
+    function allowClientCache() {
         $this->httpCacheControl('private');
     }
@@ -348,6 +335,5 @@
      * @return void
      */
-    function httpCacheControl($mode = '')
-    {
+    function httpCacheControl($mode = '') {
         switch ($mode) {
             case 'nocache':
@@ -384,6 +370,5 @@
      * @return string $_GET['mode'] 又は $_POST['mode'] の文字列
      */
-    function getMode()
-    {
+    function getMode() {
         $pattern = '/^[a-zA-Z0-9_]+$/';
         $mode = null;
@@ -411,6 +396,5 @@
      * @return void
      */
-    function doValidToken($is_admin = false)
-    {
+    function doValidToken($is_admin = false) {
         if ($_SERVER['REQUEST_METHOD'] == 'POST') {
             if (!SC_Helper_Session_Ex::isValidToken(false)) {
@@ -431,6 +415,5 @@
      * @return void
      */
-    function setTokenTo()
-    {
+    function setTokenTo() {
         $this->transactionid = SC_Helper_Session_Ex::getToken();
     }
@@ -441,6 +424,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function log($mess, $log_level)
-    {
+    function log($mess, $log_level) {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         // ログレベル=Debugの場合は、DEBUG_MODEがtrueの場合のみログ出力する
@@ -462,6 +444,5 @@
      * @return void
      */
-    function p($val)
-    {
+    function p($val) {
         SC_Utils_Ex::sfPrintR($val);
     }
Index: /branches/version-2_12-dev/data/class/pages/preview/LC_Page_Preview.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Preview extends LC_Page_Ex 
-{
+class LC_Page_Preview extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
 
@@ -81,6 +78,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_MyPage_Favorite extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_MyPage_Favorite extends LC_Page_AbstractMypage_Ex {
 
     // {{{ properties
@@ -48,6 +47,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = 'お気に入り一覧';
@@ -60,6 +58,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -70,8 +67,8 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
+
+        $objProduct  = new SC_Product_Ex();
         $objCustomer = new SC_Customer_Ex();
-
         $customer_id = $objCustomer->getValue('customer_id');
 
@@ -81,5 +78,4 @@
                 $this->lfDeleteFavoriteProduct($customer_id, intval($_POST['product_id']));
                 break;
-
             case 'getList':
                 // スマートフォン版のもっと見るボタン用
@@ -89,11 +85,9 @@
                 }
                 $this->arrFavorite = $this->lfGetFavoriteProduct($customer_id, $this);
-                SC_Product_Ex::setPriceTaxTo($this->arrFavorite);
+                $this->arrFavorite = $objProduct->setPriceTaxTo($this->arrFavorite);
+
 
                 echo SC_Utils_Ex::jsonEncode($this->arrFavorite);
                 SC_Response_Ex::actionExit();
-                break;
-
-            default:
                 break;
         }
@@ -115,6 +109,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -128,15 +121,14 @@
      * @return array お気に入り商品一覧
      */
-    function lfGetFavoriteProduct($customer_id, &$objPage)
-    {
+    function lfGetFavoriteProduct($customer_id, &$objPage) {
         $objQuery       = SC_Query_Ex::getSingletonInstance();
         $objProduct     = new SC_Product_Ex();
 
-        $objQuery->setOrder('f.create_date DESC');
-        $where = 'f.customer_id = ? and p.status = 1';
+        $objQuery->setOrder('create_date DESC');
+        $where = 'customer_id = ?';
         if (NOSTOCK_HIDDEN) {
             $where .= ' AND EXISTS(SELECT * FROM dtb_products_class WHERE product_id = dtb_customer_favorite_products.product_id AND del_flg = 0 AND (stock >= 1 OR stock_unlimited = 1))';
         }
-        $arrProductId  = $objQuery->getCol('f.product_id', 'dtb_customer_favorite_products f inner join dtb_products p using (product_id)', $where, array($customer_id));
+        $arrProductId  = $objQuery->getCol('product_id', 'dtb_customer_favorite_products', $where, array($customer_id));
 
         $objQuery       =& SC_Query_Ex::getSingletonInstance();
@@ -178,6 +170,5 @@
 
     /* 仕方がない処理。。 */
-    function lfMakeWhere($tablename, $arrProductId)
-    {
+    function lfMakeWhere($tablename, $arrProductId) {
 
         // 取得した表示すべきIDだけを指定して情報を取得。
@@ -193,6 +184,5 @@
 
     // お気に入り商品削除
-    function lfDeleteFavoriteProduct($customer_id, $product_id)
-    {
+    function lfDeleteFavoriteProduct($customer_id, $product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_MyPage extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_MyPage extends LC_Page_AbstractMypage_Ex {
 
     // {{{ properties
@@ -48,6 +47,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mypageno = 'index';
@@ -68,6 +66,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -78,6 +75,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer = new SC_Customer_Ex();
@@ -104,10 +100,7 @@
         }
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
         // 1ページあたりの件数
         $this->dispNumber = SEARCH_PMAX;
-        
-        $this->json_payment = SC_Utils::jsonEncode($this->arrPayment);
-        $this->json_customer_order_status = SC_Utils::jsonEncode($this->arrCustomerOrderStatus);
     }
 
@@ -117,6 +110,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -130,6 +122,5 @@
      * @return void
      */
-    function lfGetOrderHistory($customer_id, $startno = -1)
-    {
+    function lfGetOrderHistory($customer_id, $startno = -1) {
         $objQuery   = SC_Query_Ex::getSingletonInstance();
 
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_History extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_History extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mypageno     = 'index';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -72,11 +69,9 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer    = new SC_Customer_Ex();
         $objDb          = new SC_Helper_DB_Ex();
         $objPurchase = new SC_Helper_Purchase_Ex();
-        $objProduct  = new SC_Product();
 
         if (!SC_Utils_Ex::sfIsInt($_GET['order_id'])) {
@@ -84,6 +79,5 @@
         }
 
-        $order_id               = $_GET['order_id'];
-        $this->is_price_change  = false;
+        $order_id        = $_GET['order_id'];
 
         //受注データの取得
@@ -98,16 +92,7 @@
         $this->isMultiple       = count($this->arrShipping) > 1;
         // 支払い方法の取得
-        $this->arrPayment       = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayment       = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
         // 受注商品明細の取得
         $this->tpl_arrOrderDetail = $objPurchase->getOrderDetail($order_id);
-        foreach ($this->tpl_arrOrderDetail as $product_index => $arrOrderProductDetail) {
-            //必要なのは商品の販売金額のみなので、遅い場合は、別途SQL作成した方が良い
-            $arrTempProductDetail = $objProduct->getProductsClass($arrOrderProductDetail['product_class_id']); 
-            if($this->tpl_arrOrderDetail[$product_index]['price'] != $arrTempProductDetail['price02']) {
-                $this->is_price_change = true;
-            }
-            $this->tpl_arrOrderDetail[$product_index]['product_price'] = ($arrTempProductDetail['price02'])?$arrTempProductDetail['price02']:0;
-        }
-        
         $this->tpl_arrOrderDetail = $this->setMainListImage($this->tpl_arrOrderDetail);
         $objPurchase->setDownloadableFlgTo($this->tpl_arrOrderDetail);
@@ -125,6 +110,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -136,6 +120,5 @@
      * @return array 受注メール送信履歴の内容
      */
-    function lfGetMailHistory($order_id)
-    {
+    function lfGetMailHistory($order_id) {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         $col        = 'send_date, subject, template_id, send_id';
@@ -153,6 +136,5 @@
      * @return array お届け先情報
      */
-    function lfGetShippingDate(&$objPurchase, $order_id, $arrWDAY)
-    {
+    function lfGetShippingDate(&$objPurchase, $order_id, $arrWDAY) {
         $arrShipping = $objPurchase->getShippings($order_id);
 
@@ -176,6 +158,5 @@
      * @return array 画像をセットした購入履歴の配列
      */
-    function setMainListImage($arrOrderDetails)
-    {
+    function setMainListImage($arrOrderDetails) {
         $i = 0;
         foreach ($arrOrderDetails as $arrOrderDetail) {
@@ -194,6 +175,5 @@
      * @return array MIMETYPE、ファイル名をセットした購入履歴の配列
      */
-    function lfSetMimetype($arrOrderDetails)
-    {
+    function lfSetMimetype($arrOrderDetails) {
         $objHelperMobile = new SC_Helper_Mobile_Ex();
         $i = 0;
@@ -216,6 +196,5 @@
      * @param $arrOrderDetail 購入履歴の配列
      */
-    function lfSetAU($arrOrderDetails)
-    {
+    function lfSetAU($arrOrderDetails) {
         $this->isAU = false;
         // モバイル端末かつ、キャリアがAUの場合に処理を行う
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 22569)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Mypage_Refusal extends LC_Page_AbstractMypage_Ex 
-{
+class LC_Page_Mypage_Refusal extends LC_Page_AbstractMypage_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_subtitle = '退会手続き(入力ページ)';
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
     }
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->getMode()) {
@@ -93,6 +89,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -104,7 +99,11 @@
      * @return void
      */
-    function lfDeleteCustomer($customer_id)
-    {
-        return SC_Helper_Customer_Ex::delete($customer_id);
+    function lfDeleteCustomer($customer_id) {
+        $objQuery = SC_Query_Ex::getSingletonInstance();
+
+        $sqlval['del_flg']      = 1;
+        $sqlval['update_date']  = 'CURRENT_TIMESTAMP';
+        $where                  = 'customer_id = ?';
+        $objQuery->update('dtb_customer', $sqlval, $where, array($customer_id));
     }
 
